Bug 975864 - yum should not create $installroot/var/run
yum should not create $installroot/var/run
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
: 982276 1053983 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 09:30 EDT by Harald Hoyer
Modified: 2014-05-27 22:52 EDT (History)
13 users (show)

See Also:
Fixed In Version: yum-3.4.3-137.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-28 13:29:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2013-06-19 09:30:39 EDT
$ mkdir container
$ sudo yum -y --releasever=19 --nogpg --installroot=$(pwd)/container --disablerepo='*' --enablerepo=fedora install filesystem

will create $(pwd)/container/var/run/yum.pid before installing the filesystem rpm, which would create /var/run as a symlink to /run.

you might want to change yum/constants.py:

- YUM_PID_FILE = '/var/run/yum.pid'
+ YUM_PID_FILE = '/run/yum.pid'
Comment 1 Kay Sievers 2013-06-19 09:33:13 EDT
Note:
Things in general must be *very* careful when creating anything in the empty
and fresh root directory.

The filesystem.rpm sets up a couple of symlinks to directories, blindly
creating real directories instead of symlinks here will break setups.
Comment 2 Nathaniel McCallum 2013-07-10 09:45:02 EDT
*** Bug 982276 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2013-09-16 10:12:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Zbigniew Jędrzejewski-Szmek 2014-01-16 00:55:35 EST
*** Bug 1053983 has been marked as a duplicate of this bug. ***
Comment 5 Zbigniew Jędrzejewski-Szmek 2014-01-16 00:56:59 EST
Is there anything preventing patch from https://bugzilla.redhat.com/attachment.cgi?id=850861&action=diff (essentially the same as Comment #1) from being applied?
Comment 6 Zdeněk Pavlas 2014-01-16 04:11:08 EST
IMO it's okay.. When /var/run is a symlink (the common case), this change is a no-op. User cachedir locking is not an issue too, as we use only basename(lockfile). James, do you know of a use case this might break?
Comment 7 James Antill 2014-01-27 15:32:47 EST
 Patch isn't terrible as is (just change path to /run/yum.pid) ... it might be better to not call makedirs() in _lock, and just give up (don't create lock file, or create it in cachedir, and carry on).
Comment 8 Fedora Update System 2014-02-13 06:51:08 EST
yum-3.4.3-135.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-3.4.3-135.fc20
Comment 9 Fedora Update System 2014-02-13 07:09:54 EST
yum-3.4.3-135.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-135.fc19
Comment 10 Fedora Update System 2014-02-14 03:02:09 EST
Package yum-3.4.3-135.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-135.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2482/yum-3.4.3-135.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2014-02-28 13:29:50 EST
yum-3.4.3-137.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2014-05-27 22:52:58 EDT
yum-3.4.3-137.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.